#div-1{
	background-color: green;
	/* Take as much spaces as they can/consume the entire width of the webpage */
	/* display: block; */
	display: inline;
}
#span-1{
	background-color: purple;
	/* Takes only the necessary space needed. */
	/* Cannot change the height & width */
	/* display: inline; */
	display: none;
	height: 250px;
	width: 250px;
}

#img{
	width: 250px;
	height: 250px;
	/* Get the ablility of block elements to set the height & width,
	but only takes the space intended link "inline" elements. */
	display: inline-block;
}

#span-2{
	background-color: hotpink;
	display: block;
}

#div-2{
	background-color: red;
	/* It hides the element from the website and it will not shown visually */
	display: none;
}

#p-1{
	background-color: #87cefa; /* hex code */
}
#p-2{
	background-color: rgb(255, 105, 180); /* color values using rgb */
	width: 60%;
}
#p-3{
	background-color: yellow; /* color names */
	width: 40%;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}
/* float property */
#float-parent{
	float: right;
}
.img-float{
	height: 250px;
	width: 250px;
	/* inherit the values from the values from the parent element */
	float: inherit;
}
/* CSS Units */
.box {
	background-color: orange;
	border: 1px solid black;
	margin: 5px;
}
.fifty-percent{
	width: 50%;
}
.one-hundred-pixels{
	width: 100px;
}

/* 
	- Viewport Units ► represents a percentage of current browser size. 
	- This are calculated as a percentage of the browser's current size.
	i.e. (100 vv = 100% browser screen)
	When to use
	- useful on creating full width (100%) elements to fill up the entire viewport.
*/
.fifty-vw{
	width: 50vw; /* Viewport width */
}
.twenty-five-vh{
	height: 25vh; /* Viewport height */
}

/*
	rem/em is commonly used in setting font-size;
*/
.one-rem{
	font-size: 1rem;
}
.one-em{
	font-size: 1em;
}
.two-rem{
	font-size: 2rem;
}
.two-em{
	font-size: 2em;
}
.two-hundred-percent{
	font-size: 200%;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

/* CSS Background Property */
.background{
	min-height: 20rem;
	/* background-color: gray; */
	/* background-image: url(URI/filePath)
	- Takes on the path to your image, & set it as the Background of a specific container */
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	/* background-repeat - sets the background image if the width exceeds the background size
		values: repeat-x/y, space, round;

	 */
	background-repeat: no-repeat;

	 /*  

	 	background-size - specifies the size of the image
	 	- values: auto, cover, contain;
	 	- unit value - set the width and height of the background Image.
	 		- one value syntax:  sets the width, auto height;
	 		- two values syntax:  set the first value fpr width & 2nd value for the height;

	 */
	background-size: 100%;

	/*
		background-position - position the background relative to the parent element.
			- Two Values are needed
				-X value from the left, center and right.
				-Y value from TOP to BOTTOM
			-The Values can be in form of: ;
				-unit values (width & height)
				-left, right,top,bottom and center
	*/
	background-position: center top;

	/*
		background-attachment - sets whether a background image scrolls with the rest of the page or it is fixed
	*/
	background-attachment: fixed;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5rem;
	margin: 0;
	line-height: 35rem;
}
.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	/* "a" stands for the alpha channel to change the opacity of a color */
	/* defines the min height of an element. */
	min-height: 100vh;
}

/* CSS Position Property */
.parent-element {
	background-color: skyblue;
	padding: 10px;
}
.child-1{
	background-color: gray;
	padding: 10px;
}
.child-2{
	background-color: yellow;
	padding: 10px;
	position: relative;
	left: 10px;
	bottom: 10px;
}
.child-3{
	background-color: gray;
	padding: 10px;
}